#property copyright "Drop on chart at requested TP Price"

//+------------------------------------------------------------------+
int start()
//+------------------------------------------------------------------+
{
//----
   int digits   = MarketInfo(Symbol(),MODE_DIGITS);
   double value = NormalizeDouble(WindowPriceOnDropped(),digits);

   Alert("--- START "+WindowExpertName()+" "+Symbol());

   for(int i=OrdersTotal()-1;i>=0;i--)
   {
      if(!OrderSelect(i,SELECT_BY_POS,MODE_TRADES))
         continue;
      if(OrderSymbol()!=Symbol())
         continue;
      
      RefreshRates();
      
      if(OrderType()==OP_BUY
         && value>Ask)
         OrderModify(OrderTicket(),OrderOpenPrice(),OrderStopLoss(), value,OrderExpiration(),White);
      if(OrderType()==OP_SELL
         && value<Bid)
         OrderModify(OrderTicket(),OrderOpenPrice(),OrderStopLoss(), value,OrderExpiration(),White);      
      if(((OrderType()==OP_BUYSTOP) || (OrderType()==OP_BUYLIMIT))     
         && value>OrderOpenPrice())
         OrderModify(OrderTicket(),OrderOpenPrice(),OrderStopLoss(), value,OrderExpiration(),White);   
      if(((OrderType()==OP_SELLSTOP) || (OrderType()==OP_SELLLIMIT))
         && value<OrderOpenPrice())
         OrderModify(OrderTicket(),OrderOpenPrice(),OrderStopLoss(), value,OrderExpiration(),White);                  

      Alert("TP is now "+OrderTakeProfit());
   }   

   Alert("--- END "+WindowExpertName()+" "+Symbol());
   return(0);
}
//+------------------------------------------------------------------+