#property copyright "Drop on chart at requested SL Price"

//+------------------------------------------------------------------+
int start()
//+------------------------------------------------------------------+
{
//----
   Alert("--- START "+WindowExpertName()+" "+Symbol());

   int digits   = MarketInfo(Symbol(),MODE_DIGITS);
   double value = NormalizeDouble(WindowPriceOnDropped(),digits);

   for(int i=OrdersTotal()-1;i>=0;i--)
   {
      if(!OrderSelect(i,SELECT_BY_POS,MODE_TRADES))
         continue;
      if(OrderSymbol()!=Symbol())
         continue;
      
      RefreshRates();
      
      if(OrderType()==OP_BUY
         && value<Bid)
         OrderModify(OrderTicket(),OrderOpenPrice(),value, OrderTakeProfit(),OrderExpiration(),White);
      if(OrderType()==OP_SELL
         && value>Ask)
         OrderModify(OrderTicket(),OrderOpenPrice(),value, OrderTakeProfit(),OrderExpiration(),White);      
      if(((OrderType()==OP_BUYSTOP) || (OrderType()==OP_BUYLIMIT))
         && value<OrderOpenPrice())
         OrderModify(OrderTicket(),OrderOpenPrice(),value, OrderTakeProfit(),OrderExpiration(),White);   
      if(((OrderType()==OP_SELLSTOP) || (OrderType()==OP_SELLLIMIT))
         && value>OrderOpenPrice())
         OrderModify(OrderTicket(),OrderOpenPrice(),value, OrderTakeProfit(),OrderExpiration(),White);                  
      
      Alert("SL is now "+OrderStopLoss());
   }   

   Alert("--- END "+WindowExpertName()+" "+Symbol());
   return(0);
}
//+------------------------------------------------------------------+